Package io.vertx.reactivex.ext.auth.oauth2.providers

## Class AppleIdAuth

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.providers.OpenIDConnectAuth
  - - io.vertx.reactivex.ext.auth.oauth2.providers.AppleIdAuth

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class AppleIdAuth
      extends OpenIDConnectAuth
      implements io.vertx.lang.rx.RxDelegate

  Simplified factory to create an for Apple.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<AppleIdAuth>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppleIdAuth​(AppleIdAuth delegate)` |
    `AppleIdAuth​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OAuth2Auth` | `create​(Vertx vertx, String clientId, String teamId, PubSecKeyOptions privateKey)` | Create a OAuth2Auth provider for Apple
    `static OAuth2Auth` | `create​(Vertx vertx, String clientId, String teamId, PubSecKeyOptions privateKey, HttpClientOptions httpClientOptions)` | Create a OAuth2Auth provider for Apple
    `static Future<OAuth2Auth>` | `discover​(Vertx vertx, PubSecKeyOptions privateKey, OAuth2Options config)` | Create a OAuth2Auth provider for OpenID Connect Discovery.
    `boolean` | `equals​(Object o)` |
    `AppleIdAuth` | `getDelegate()` |
    `int` | `hashCode()` |
    `static AppleIdAuth` | `newInstance​(AppleIdAuth arg)` |
    `static Single<OAuth2Auth>` | `rxDiscover​(Vertx vertx, PubSecKeyOptions privateKey, OAuth2Options config)` | Create a OAuth2Auth provider for OpenID Connect Discovery.
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.reactivex.ext.auth.oauth2.providers.OpenIDConnectAuth

      `discover, newInstance, rxDiscover`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AppleIdAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### AppleIdAuth

          public AppleIdAuth​(AppleIdAuth delegate)

    - #### AppleIdAuth

          public AppleIdAuth​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenIDConnectAuth`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `OpenIDConnectAuth`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `OpenIDConnectAuth`

    - #### getDelegate

          public AppleIdAuth getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `OpenIDConnectAuth`

    - #### create

          public static OAuth2Auth create​(Vertx vertx,
                                          String clientId,
                                          String teamId,
                                          PubSecKeyOptions privateKey)

      Create a OAuth2Auth provider for Apple
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Apple
        `teamId` - the team id given to you by Apple
        `privateKey` - The private key for the client. This is the private key you generated when creating the
      Returns:

    - #### create

          public static OAuth2Auth create​(Vertx vertx,
                                          String clientId,
                                          String teamId,
                                          PubSecKeyOptions privateKey,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Apple
      Parameters:
        `vertx` -
        `clientId` - Client ID (also known as the Services ID in Apple's Developer Portal).
        `teamId` - Team ID for the Apple Developer Account found on top right corner of the developers page
        `privateKey` - The private key for the client. This is the private key you generated when creating the App id. With the identifier for the private key at Apple
        `httpClientOptions` - custom http client options
      Returns:

    - #### discover

          public static Future<OAuth2Auth> discover​(Vertx vertx,
                                                    PubSecKeyOptions privateKey,
                                                    OAuth2Options config)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `privateKey` -
        `config` - the initial config
      Returns:
        future with instantiated Oauth2 provider instance handler

    - #### rxDiscover

          public static Single<OAuth2Auth> rxDiscover​(Vertx vertx,
                                                      PubSecKeyOptions privateKey,
                                                      OAuth2Options config)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `privateKey` -
        `config` - the initial config
      Returns:
        future with instantiated Oauth2 provider instance handler

    - #### newInstance

          public static AppleIdAuth newInstance​(AppleIdAuth arg)